Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86330 - netstat -i -c show a infinite header loops
Summary: netstat -i -c show a infinite header loops
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools
Version: 7.3
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Knirsch
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-19 21:29 UTC by acount closed by user
Modified: 2015-03-05 01:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-22 22:56:48 UTC


Attachments (Terms of Use)

Description acount closed by user 2003-03-19 21:29:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020913

Description of problem:
chuchi:~/datos/bajar/kk $ netstat -c -i
Kernel Interface table
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0   1500   0   11418      0      0      0  120009      3      0      0 BMU
lo    16436   0  317693      0      0      0  317693      0      0      0 LRU
ppp0    576   0    5841      0      0      0    5369      0      0      0 MOPRU
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg


Version-Release number of selected component (if applicable):
net-tools-1.60-4

How reproducible:
Always

Steps to Reproduce:
1. netstat -i -c
2. wait
3. look the output
    

Additional info:

Comment 1 Robert Lister 2003-03-28 18:06:42 UTC
I have also noticed this "header loop" problem in 7.2 and 7.3 :-(

Some other things to consider:

I have VLAN tagging support enabled in the kernel, and the interfaces 
are numbered "eth2.1" "eth2.3" "eth2.6" etc The output of netstat -i truncates 
the vlan info:

ahab.tcx:~>netstat -i
Kernel Interface table
Iface   MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0   1500   0 5402237      0      0      0 8238977      0      0      0 BMRU
eth1   1500   0       0      0      0      0       4      0      0      4 BMU
eth2   1500   052588493      0      0      0 3349587      0      0      0 BMRU
eth2.  1500   047633201      0      0      0 3349585      0      0      0 BMRU
eth2.  1500   0   64242      0      0      0       0      0      0      0 BMRU
eth2.  1500   0 4891045      0      0      0       0      0      0      0 BMRU
eth3   1500   028901820    227      0      0 3601108      0      0      0 BMRU
eth3.  1500   028806827      0      0      0 3601106      0      0      0 BMRU
eth3.  1500   0   94993      0      0      0       0      0      0      0 BMRU
lo    16436   0     433      0      0      0     433      0      0      0 LRU

It would also be good to have a flag that enables netstat to quit after a 
certain number of samples, ala "vmstat" so I could do a

"netstat 5" (like on FreeBSD)

and it would do 5 second samples, and also if I could specify it to exit after
doing that for n times. (makes it hard to use netstat with scripts if it has to 
be killed off.)

i.e.

"netstat 5 -c 10"

-- would output a sample every 5 seconds, 10 times, and then quit.

R.




Comment 2 Phil Knirsch 2003-04-22 22:56:48 UTC
Fixed in current version of the net-tools package in Red Hat Linux 9.

Read ya, Phil


Note You need to log in before you can comment on or make changes to this bug.